- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/sslCertificates/fetchEncryptionKey.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/sslCertificates/fetchEncryptionKey.md.txt#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/sslCertificates/fetchEncryptionKey.md.txt#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/sslCertificates/fetchEncryptionKey.md.txt#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/sslCertificates/fetchEncryptionKey.md.txt#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/sslCertificates/fetchEncryptionKey.md.txt#body.SslCertificatesFetchEncryptionKeyResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/sslCertificates/fetchEncryptionKey.md.txt#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/sslCertificates/fetchEncryptionKey.md.txt#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/sslCertificates/fetchEncryptionKey.md.txt#try-it)

API Version : 2026-10-01-preview
Returns the public encryption key used to encrypt the TLS private key before upload.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/v1/projects/{project}/global/sslCertificates/encryptionKey?$apiVersion=2026-10-01-preview`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID for this request. |

### Query parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the SslCertificate resource to be created. The name must be 1-63 characters long, and comply with [RFC1035](https://www.ietf.org/rfc/rfc1035.txt). |

### Request body

The request body must be empty.

### Response body

Response for `SslCertificatesService.FetchEncryptionKey` and `RegionSslCertificatesService.FetchEncryptionKey` methods.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "publicKeyset": string } ``` |

| Fields ||
|---|---|
| `publicKeyset` | `string` The Tink public keyset serialized in JSON format. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/compute.readonly`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.sslCertificates.create`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam.md.txt).